// LICENSE : MIT
"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (_ref) {
    var template = _ref.template;

    return {
        visitor: {
            FunctionDeclaration: function FunctionDeclaration(path) {
                var node = path.node;
                if (node.leadingComments && node.leadingComments.length === 1) {
                    var comment = node.leadingComments[0];
                    if (comment.type === 'CommentBlock') {
                        var functionDeclarationString = _jsdocToAssert.Attachment.FunctionDeclarationString(comment);
                        var buildAssert = template(functionDeclarationString)();
                        path.get("body").unshiftContainer("body", buildAssert);
                    }
                }
            }
        }
    };
};

var _jsdocToAssert = require("jsdoc-to-assert");

module.exports = exports['default'];
//# sourceMappingURL=index.js.map